import os
import sys
import which

data_dir1 = os.path.join(os.path.dirname(os.path.dirname(os.path.realpath(sys.argv[0]))), 'share', 'sipclient')
data_dir2 = os.path.join(os.path.dirname(os.path.dirname(os.path.realpath(which.which('sip_register')))), 'share', 'sipclient')

def get_path(filename):
    for fn in (
        os.path.realpath(os.path.join(data_dir1, filename)),
        os.path.realpath(os.path.join(data_dir2, filename)),
        os.path.realpath(os.path.join('.', filename)),
        os.path.realpath(os.path.join('/usr/share/sipclient', filename)),
        os.path.realpath(os.path.join('/usr/local/share/sipclient', filename))
        ):
        if os.path.exists(fn):
            return fn
    return None
